#
# spec file for package perl-MIME-tools (Version 5.427)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl-3 libmpfr1 libmudflap43 libncurses5 libreadline5 libstdc++43 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers login m4 make man net-tools netcfg pam pam-modules patch perl perl-IO-stringy perl-MailTools perl-base permissions popt psmisc rpm sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           perl-MIME-tools
Url:            http://cpan.org/modules/by-module/MIME/
BuildRequires:  perl-IO-stringy perl-MailTools
License:        Artistic License
Group:          Development/Libraries/Perl
Provides:       p_mimet
Obsoletes:      p_mimet
Requires:       perl-IO-stringy perl-MailTools
Requires:       perl = %{perl_version}
AutoReqProv:    on
Summary:        modules for parsing (and creating!) MIME entities
Version:        5.427
Release:        17.1
Source:         MIME-tools-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
modules for parsing (and creating!) MIME entities



Authors:
--------
    Eryq <eryq@zeegee.com>

%debug_package
%prep
%setup -q -n MIME-tools-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
rm -f $RPM_BUILD_ROOT/usr/lib/perl5/vendor_perl/%{perl_version}/set-version.pl

%files
%defattr(-,root,root)
%{perl_vendorlib}/MIME
%dir %{perl_vendorarch}/auto/MIME
%{perl_vendorarch}/auto/MIME/tools
%doc %{_mandir}/man3/*.gz
/var/adm/perl-modules/perl-MIME-tools
%doc ChangeLog COPYING examples INSTALLING MANIFEST README*

%changelog
* Sat Jul 12 2008 Carsten Schoene <cs@linux-administrator.com>
- update to 5.427
* Mon Mar 24 2008 anicka@suse.cz
- update to 5.426
  * (bugfix) require File::Temp 0.18 or newer, as we need seek()
  * (bugfix) Don't hang forever in t/Smtpsend.t
  * (bugfix) require Perl 5.8.0 or newer in Makefile.PL
  * (bugfix) encode_mimewords() no longer removes spaces between two
  encoded words
* Wed Nov 21 2007 anicka@suse.cz
- update to 5.425
  * (bugfix) A stub for MIME::Parser's tmp_recycling() method has been
  re-added to preserve compatibility.
* Fri Nov 09 2007 anicka@suse.cz
- update to 5.424
  * (bugfix)lines in $entity->body() should be newline-terminated.
* Mon Oct 08 2007 anicka@suse.cz
- update to 5.423
  * (enhancement) Use File::Temp for tempfile generation.
  MIME::Parser now has a tmp_dir() method for changing
  the temporary directory on a per-parser basis.
  * bugfixes
* Fri Jul 14 2006 anicka@suse.cz
- update to 5.420
  * Fix regression introduced in 5.419 -- quoted-printable
  encoding would sometimes fail on "textual" MIME parts.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 23 2005 schubi@suse.de
- update to version 5.419
* Fri Apr 15 2005 schubi@suse.de
- update to 5.417
* Mon Jan 10 2005 schwab@suse.de
- Fix file cleanup.
* Thu Nov 04 2004 choeger@suse.de
- update to v5.415
  (containing Bugfix ID#47851 - VUL-0: perl-Mime-tools passes some mime
  attachments)
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Mon May 19 2003 choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
* Thu Aug 08 2002 mls@suse.de
- use sitearch macro
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Tue Jul 02 2002 mls@suse.de
- remove race in .packlist generation
* Sun Jan 13 2002 link@suse.de
- update to v5.411a
* Fri May 04 2001 link@suse.de
- updated to v5.410 as all version below v5.313 have a nasty
  bug with evil filenames
* Thu Mar 29 2001 choeger@suse.de
- fixed requires
* Wed Nov 15 2000 choeger@suse.de
- long package name
- buildroot
* Mon Jul 24 2000 choeger@suse.de
- removed p_filspe from neededforbuild, because it is
  included in the perl package
* Wed Jul 19 2000 choeger@suse.de
- first package, v5.304
